Bug 635387

Summary: [abrt] sugar-0.89.8-1.fc14: sugar-ui-check:31:<module>:ImportError: cannot import name get_sugar_window_type
Product: [Fedora] Fedora Reporter: Luya Tshimbalanga <luya>
Component: sugarAssignee: Simon Schampijer <simon>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: bernie+fedora, david1stolt, johnp, pbrobinson, sebastian, simon, smparrish, tomeu
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: abrt_hash:96a4fa03
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 22:18:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace none

Description Luya Tshimbalanga 2010-09-19 10:47:18 UTC
abrt version: 1.1.13
architecture: i686
cmdline: python /usr/bin/sugar-ui-check
component: sugar
executable: /usr/bin/sugar-ui-check
kernel: 2.6.34.6-54.fc13.i686
package: sugar-0.89.8-1.fc14
reason: sugar-ui-check:31:<module>:ImportError: cannot import name get_sugar_window_type
release: Fedora release 14 (Laughlin)
time: 1284892869
uid: 500

backtrace
-----
sugar-ui-check:31:<module>:ImportError: cannot import name get_sugar_window_type

Traceback (most recent call last):
  File "/usr/bin/sugar-ui-check", line 31, in <module>
    from jarabe.model.shell import get_sugar_window_type
ImportError: cannot import name get_sugar_window_type

Local variables in innermost frame:
logging: <module 'logging' from '/usr/lib/python2.7/logging/__init__.pyc'>
dbus: <module 'dbus' from '/usr/lib/python2.7/site-packages/dbus/__init__.pyc'>
__builtins__: <module '__builtin__' (built-in)>
wnck: <module 'wnck' from '/usr/lib/python2.7/site-packages/gtk-2.0/wnck.so'>
__file__: '/usr/bin/sugar-ui-check'
gtk: <module 'gtk' from '/usr/lib/python2.7/site-packages/gtk-2.0/gtk/__init__.pyc'>
__package__: None
sys: <module 'sys' (built-in)>
gobject: <module 'gobject' from '/usr/lib/python2.7/site-packages/gtk-2.0/gobject/__init__.pyc'>
time: <module 'time' from '/usr/lib/python2.7/lib-dynload/timemodule.so'>
wm: <module 'sugar.wm' from '/usr/lib/python2.7/site-packages/sugar/wm.pyc'>
__name__: '__main__'
subprocess: <module 'subprocess' from '/usr/lib/python2.7/subprocess.pyc'>
os: <module 'os' from '/usr/lib/python2.7/os.pyc'>
__doc__: None

How to reproduce
-----
1. Enter sugar-ui-check on terminal
2.
3.

Comment 1 Luya Tshimbalanga 2010-09-19 10:47:20 UTC
Created attachment 448281 [details]
File: backtrace

Comment 2 Simon Schampijer 2010-09-20 06:51:21 UTC
Thanks Luya for your report!

I filed this upstream ticket to handle that case: http://bugs.sugarlabs.org/ticket/2347

Comment 3 Simon Schampijer 2010-09-23 20:32:52 UTC
We concluded to remove the file in the next version 0.92 as it is not of any use in a distribution.

Comment 4 Luya Tshimbalanga 2010-12-10 19:37:27 UTC
Ok. It will be good to let know on FAQ about that unused file.

Comment 5 Fedora End Of Life 2012-08-16 22:18:57 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping